apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/name: {{ .Values.services.api.name }}
    app.kubernetes.io/part-of: {{ .Chart.Name }}
    app.kubernetes.io/version: {{ .Chart.AppVersion }}
    app.kubernetes.io/managed-by: helm
  name: {{ .Values.services.api.name }}
spec:
  type: {{ .Values.services.api.type }}
  ports:
    - name: "http"
      port: {{ .Values.services.api.port }}
      targetPort: {{ .Values.services.api.port }}
  selector:
    app.kubernetes.io/name: {{ .Values.services.api.name }}  
status:
  loadBalancer: {}
